﻿
@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.DataMember.SPG>


@(
 Html.Grid(Model).Named("AllSalesPerson").Columns(columns =>
 {
     columns.Add(x => x.Code)
         .Titled("Code")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true);

     columns.Add(x => x.Name)
         .Titled("Name")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Name);

     columns.Add(x => x.OutletName)
        .Titled("OutletName")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.OutletName);

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" onclick=\"SelectMember({1},'{2}')\" class=\"btn btn-xs btn-info\">Select</a>", "#", x.ID, x.Code));

 }).Filterable()
.Sortable()
.WithPaging(5)
)
